Split Hyprlock,Noctalia-Shell and Hyprpaper into separate directories. Made changes to ncli, to automatically switch specialisations. Started configuring niri.

This commit is contained in:
2025-11-25 14:30:53 +01:00
parent 157ba06453
commit 69d1d05563
26 changed files with 784 additions and 93 deletions

View File

@ -127,8 +127,21 @@ in
handle_backups
echo "Starting NixOS rebuild for current host: $HOST"
cd "$HOME/$PROJECT" || { echo "Error: Could not change to $HOME/$PROJECT"; exit 1; }
current=""
if [ -f /etc/nixos-tags ]; then
current=$(cat /etc/nixos-tags)
fi
if sudo nixos-rebuild switch --flake ".#$HOST"; then
echo " Rebuild finished successfully for $HOST"
if [ -n "$current" ]; then
sudo /run/current-system/specialisation/$current/bin/switch-to-configuration switch
else
echo "No specialization tag found, staying on default system."
fi
else
echo " Rebuild failed for $HOST" >&2
exit 1
@ -147,9 +160,27 @@ in
exit 1
fi
echo "Rebuilding system..."
current=""
if [ -f /etc/nixos-tags ]; then
current=$(cat /etc/nixos-tags)
fi
if [ -n "$current" ]; then
echo "Rebuilding system... Current specialization: $current"
else
echo "Rebuilding system... Staying on current specialization"
fi
if sudo nixos-rebuild switch --flake ".#$HOST"; then
echo " Update and rebuild finished successfully for $HOST"
if [ -n "$current" ]; then
sudo /run/current-system/specialisation/$current/bin/switch-to-configuration switch
else
echo "No specialization tag found, staying on default system."
fi
else
echo " Update and rebuild failed for $HOST" >&2
exit 1